javax.faces.component

## Class UpdateModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.component.UpdateModelException

- All Implemented Interfaces:
    Serializable

      public class UpdateModelException
      extends FacesException

  This exception indicates a failure to update the model and is created to wrap any exception that occurs during `UIInput.updateModel(javax.faces.context.FacesContext)`. The exception is then passed to `ExceptionHandler.processEvent(javax.faces.event.SystemEvent)`, where the `ExceptionHandler` has an opportunity to handle it.

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateModelException(FacesMessage facesMessage, Throwable cause)` Store the argument `facesMessage` so it may be returned from `getFacesMessage()` and pass the argument `cause` to the super constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacesMessage` | `getFacesMessage()` Return the `FacesMessage` passed to the constructor.

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateModelException

          public UpdateModelException(FacesMessage facesMessage,
                              Throwable cause)

      Store the argument `facesMessage` so it may be returned from `getFacesMessage()` and pass the argument `cause` to the super constructor.

      Parameters:
        `facesMessage` - the message for the exception
        `cause` - the cause of this exception
      Since:
        2.0

  - ### Method Detail

    - #### getFacesMessage

          public FacesMessage getFacesMessage()

      Return the `FacesMessage` passed to the constructor.

      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.